<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Bronapp Booking</title>
    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="css/jquery-ui.min.css" />
    <link rel="stylesheet" href="css/jquery.datetimepicker.min.css" />
    <link rel="stylesheet" href="css/bronapp.css" />
</head>

<body>

    <!-- Container -->
    <div class="container">
        <img src="static/logo.jpg" style="padding-top: 30px; padding-bottom: 30px;" />
        <ul class="nav nav-pills mb-3 bg-success">

            <li class="nav-item">
                <a class="nav-link active bg-success" id="booking-tab" data-toggle="pill" href="/booking" role="tab" aria-controls="booking" aria-selected="true">Booking</a>
            </li>

        </ul>

        <div class="tab-content" style="padding-bottom: 30px;">

            <div id="booking" class="tab-pane fade show active" role="tabpanel" aria-labelledby="booking-tab">
                <h2 style="text-align:center;">Book your visit here!</h2>
                <p style="text-align:center;">Please select appointment and add your contact details.</p>

                <table class="table table-sm table-hover">
                    <thead>
                    <th scope="col">ID</th>
                    <th scope="col">Doctor</th>
                    <th scope="col">Appointment</th>
                    <th></th>
                    </thead>
                    <tbody id="appointment_list"></tbody> <!--Testing-->
                </table>
                <!--<button type="button" class="btn btn-primary" onclick="prepareAppointmentAdd()">Book</button>-->
            </div>
        </div>
    </div>


     <!--Modal 2 appointment-->
    <div class="modal fade" id="appointment_modal" tabindex="-1" role="dialog" aria-labelledby="appointment_modal_label" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="appointment_modal_label">Add booking</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">x</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form name="AppointmentForm">
                        <input type="hidden" name="id" id="id" value="0" />
                        <input type="text" id="doctorname" name="doctorname" readonly="readonly" class="form-control" placeholder="Doctor" /><br />
                        <input type="text" id="date" name="date" readonly="readonly" class="form-control" placeholder="Visit" /><br />
                        <input type="text" id="customername" name="customername" class="form-control" placeholder="Your name" /><br />
                        <input type="text" id="phone" name="phone" class="form-control" placeholder="Your phone number" /><br />
                        <input type="text" id="comment" name="comment" class="form-control" placeholder="Pet info/ Purpose of the visit" />
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-success" onclick="saveAppointment();" data-dismiss="modal">Book</button>
                </div>
            </div>
        </div>
    </div>

    <script src="js/jquery.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/jquery.datetimepicker.full.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script>
        <!--Modal 2 javascript -->

        $(document).ready(
            function() {
                initUIControls();
                // kutsun välja booking funktsiooni
                giveMeAllBookings();
            }
        );

        function initUIControls() {
            $('#date').datetimepicker(
                {
                    format: 'd.m.Y H:i',
                    step: 30,
                    mask: true
                }
            );
            $('#date').datetimepicker('readonly');
        }

        function giveMeAllBookings() {
            $.ajax(
                {
                    method: "GET",
                    url: "/bronapp/booking/list",
                    dataType: "json",
                    contentType: "application/json",
                    complete: function (response) {
                        $('#appointment_list').empty();
                        var bookings = response.responseJSON;
                        for (var i = 0; i < bookings.length; i++) {
                            var row = "<tr>";
                            row = row + "<td>" + bookings[i].id + "</td>";
                            row = row + "<td>" + bookings[i].doctorname + "</td>";
                            row = row + "<td>" + bookings[i].date + "</td>";
                            <!--row = row + "<td>" + bookings[i].customername + "</td>";-->
                            <!--row = row + "<td>" + bookings[i].phone + "</td>";-->
                            <!--row = row + "<td>" + bookings[i].comment + "</td>";-->
                            row = row + "<td>";
                            row = row + '<td><button class="btn btn-sm btn-warning" onClick="prepareAppointments('
                                + bookings[i].id + ');">Book</button>&nbsp</td>';

                            row = row + "</tr>";
                            $('#appointment_list').append(row);
                        }
                    }
                }
            );
        }

        function prepareAppointments(appointmentId) {
            $.ajax(
                {
                    method: "GET",
                    url: "/bronapp/booking/get/" + appointmentId,
                    dataType: "json",
                    contentType: "application/json",
                    complete: function (response) {
                        var doctor = response.responseJSON;
                        $('#id').val(doctor.id);
                        $('#doctorname').val(doctor.doctorname);
                        $('#date').val(doctor.date);
                        $('#customername').val(doctor.customername);
                        $('#phone').val(doctor.phone);
                        $('#comment').val(doctor.comment);
                        $('#appointment_modal').modal('show');
                    }
                }
            );
        }

        function prepareAppointmentAdd() {
            $('#id').val(0);
            $('#doctorname').val("");
            $('#date').val("");
            $('#customername').val("");
            $('#phone').val("");
            $('#comment').val("");
            $('#appointment_modal').modal('show');
        }

        function saveAppointment() {
            var url = "";
            if ($('#id').val() > 0) {
                url = "/bronapp/booking/save";
            } else {
                url = "/bronapp/booking/add";
            }
            $.ajax(
                {
                    method: "POST",
                    url: url,
                    dataType: "json",
                    contentType: "application/json",
                    data: JSON.stringify(getData($('form[name=AppointmentForm]').serializeArray())),
                    complete: function (response) {
                        giveMeAllBookings();
                    }
                }
            );
        }

        function getData(data) {
            var result = {};
            $.map(data, function(n) {
                result[n['name']] = n['value'];
            });
            return result;
        }

        <!--function deleteAppointment(AppointmentId) {-->
            <!--if (confirm("Oled Sa ikka täie aru juures?")) {-->
                <!--$.ajax(-->
                    <!--{-->
                        <!--method: "POST",-->
                        <!--url: "/bronapp/booking/delete/" + appointmentId,-->
                        <!--dataType: "json",-->
                        <!--contentType: "application/json",-->
                        <!--complete: function (response) {-->
                            <!--giveMeAllBookings();-->
                        <!--}-->
                    <!--}-->
                <!--);-->
            <!--}-->
        <!--}-->


    </script>

</body>

</html>